//------------------------------------------------------------------------------------
// irr::scene::IAnimatedMeshX wrappers (parent is IAnimatedMesh)
//------------------------------------------------------------------------------------

extern "C" s32 IrrScene_IAnimatedMeshX_getAnimationCount(IAnimatedMeshX* am)
{
	if (am)
		return am->getAnimationCount();
	else return 0;
}

extern "C" s32 IrrScene_IAnimatedMeshX_getJointCount(IAnimatedMeshX* am)
{
	if (am)
		return am->getJointCount();
	else return 0;
}

extern "C" const c8* IrrScene_IAnimatedMeshX_getJointName(IAnimatedMeshX* am,s32 number)
{
	if (am)
		return am->getJointName(number);
	else return "";
}

extern "C" s32 IrrScene_IAnimatedMeshX_getJointNumber(IAnimatedMeshX* am,const c8* name)
{
	if (am)
		return am->getJointNumber(name);
	else return 0;
}

extern "C" matrix4* IrrScene_IAnimatedMeshX_getMatrixOfJoint(IAnimatedMeshX* am,s32 jointNumber,s32 frame)
{
	if (am)
		return am->getMatrixOfJoint(jointNumber,frame);
	else return 0;
}

extern "C" const array<vector3df>* IrrScene_IAnimatedMeshX_getDrawableSkeleton(IAnimatedMeshX* am,s32 frame)
{
	if (am)
		return am->getDrawableSkeleton(frame);
	else return 0;
}

extern "C" bool IrrScene_IAnimatedMeshX_setCurrentAnimation(IAnimatedMeshX* am,const c8* name)
{
	if (am)
		return am->setCurrentAnimation(name);
	else return false;
}

extern "C" void IrrScene_IAnimatedMeshX_setCurrentAnimationByIdx(IAnimatedMeshX* am,s32 idx)
{
	if (am)
		am->setCurrentAnimation(idx);
}






